Get Buildpack
Get a buildpack
Retrieve a buildpack.
Request
URI
GET
https://api.example.local/v3/buildpacks/{guid}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
Successfully retrieved buildpack
Returns
BuildpackGetResponse
of type(s)
application/json
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"state": "string",
"stack": "string",
"lifecycle": "string",
"position": 0,
"enabled": false,
"locked": false,
"filename": "string",
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"upload": {
"href": "string",
"method": "string"
}
}
}
400
Bad Request
Returns
BadRequest
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/buildpacks/{guid}